package com.bipt.intelligentapplicationorchestrationservice.entity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

@Setter
@Data
public class GpuResource {
    @Getter
    @TableField("GPUId")
    private Long GPUId;

    @Getter
    @TableField("GPUModel")
    private String GPUModel;

    @Getter
    @TableField("GPUMemorySize")
    private Integer GPUMemorySize;

    @TableField("is_deleted")
    private Integer isDeleted = 0;

    @TableField("Ip")
    private String Ip;

    @Getter
    @TableField("CreatedTime")
    private LocalDateTime CreateTime;

    @Getter
    @TableField("update_time")
    private LocalDateTime UpdateTime;

    @Getter
    @TableField("GPUMaxMemory")
    private Integer GPUMaxMemory;

    public GpuResource(long l, String s, boolean b) {
        this.GPUId = l;
        this.GPUModel = s;
        this.isDeleted = b ? 1 : 0;
    }
//    public @Pattern(regexp = "^((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)$") String getIp() {
//        return Ip;
//    }

    public Boolean getIsDeleted() {
        return isDeleted != 0;
    }



    public GpuResource(Long Id, String Model, Integer MemorySize, String ip, LocalDateTime create_time) {
        this.GPUId = Id;
        this.GPUModel = Model;
        this.GPUMemorySize = MemorySize;
        this.Ip = ip;
        this.CreateTime = create_time;
    }

    public GpuResource() {}

//    public void setGPUId(Long GPUId) {
//        this.GPUId = GPUId;
//    }
//
//    public void setGPUModel(String GPUModel) {
//        this.GPUModel = GPUModel;
//    }
//
//    public void setGPUMemorySize(Integer GPUMemorySize) {
//        this.GPUMemorySize = GPUMemorySize;
//    }
//
//    public void setIsDeleted(Integer isDeleted) {
//        this.isDeleted = isDeleted;
//    }
//
//    public void setIp(String ip) {
//        Ip = ip;
//    }
//
//    public void setCreateTime(LocalDateTime createTime) {
//        CreateTime = createTime;
//    }
//
//    public void setUpdateTime(LocalDateTime updateTime) {
//        UpdateTime = updateTime;
//    }

}
