package com.bipt.intelligentapplicationorchestrationservice.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModelVO {
    private Long id;   // 模型id
    private Long versionId;   // 用于保证react的map中key的唯一性
    private String modelName;  // 模型名称
    private String version;   // 模型版本
    private String dataPreHandleFile;      // 数据预处理文件存储路径
    private String operateUser;          //  操作人
    private LocalDateTime updateTime;    // 修改时间
    private Integer status;         // 模型状态（1代表上线，0代表不上线）

}
