package com.bipt.intelligentapplicationorchestrationservice.service.Impl;

import com.bipt.intelligentapplicationorchestrationservice.mapper.ServiceAPIMapper;
import com.bipt.intelligentapplicationorchestrationservice.service.ServiceAPIService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class ServiceAPIImpl implements ServiceAPIService {
    @Autowired
    private ServiceAPIMapper serviceAPIMapper;
        /**
         * 根据id查找配置信息
         * @param modelId
         * @return
         */
        @Override
        public String getByModelId(Long modelId) {
            return serviceAPIMapper.getById(modelId);
        };
}
